package com.zayac.changeurl.api;

import cn.hutool.core.util.StrUtil;
import com.zayac.changeurl.exception.BizException;
import com.zayac.changeurl.response.Result;
import com.zayac.changeurl.service.ChangeUrlService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author zayac
 * @since 2023-08-30 12:07
 */
@RestController
@RequestMapping("/api/v1")
public class ChangeUrlApi {
    @Resource
    private ChangeUrlService changeUrlService;

    @GetMapping("/change")
    public Result<Boolean> changeUrl(String text) {
        if (StrUtil.isBlank(text)) {
            throw new BizException(400, "发送信息不能为空");
        }
        return Result.success(changeUrlService.change(text));
    }
}
