package com.zayac.changeurl.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.authorization.AuthorizationDecision;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer;
import org.springframework.security.web.SecurityFilterChain;
import org.springframework.security.web.util.matcher.IpAddressMatcher;

/**
 * @author zayac
 */
@Configuration
public class SecurityConfig {
    @Value("${ip.white}")
    private String ip;

    @Bean
    public SecurityFilterChain filterChain(HttpSecurity security) throws Exception {
        IpAddressMatcher hasIpAddress = new IpAddressMatcher(ip);
        return security
                .authorizeHttpRequests(conf -> conf
                        .requestMatchers("/api/**")
                        .access((authentication, context) ->
                                new AuthorizationDecision(hasIpAddress.matches(context.getRequest()))
                        ).anyRequest().denyAll())
                .csrf(AbstractHttpConfigurer::disable)
                .formLogin(AbstractHttpConfigurer::disable)
                .build();
    }
}