package com.zayac.changeurl.exception;

import com.zayac.changeurl.enums.ErrorEnum;

import java.io.Serial;

/**
 * @author zayac
 * @since 2023-09-09 17:44
 */

public class BizException extends RuntimeException{

    @Serial
    private static final long serialVersionUID = -6016636225858202925L;
    /**
     * 错误码
     */
    protected Integer code;
    /**
     * 错误信息
     */
    protected String msg;

    public BizException(Integer code, String msg) {
        super();
        this.code = code;
        this.msg = msg;
    }

    public BizException(ErrorEnum error) {
        super();
        this.code = error.getCode();
        this.msg = error.getMsg();
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
