package com.zayac.changeurl.exception;

import com.zayac.changeurl.response.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import static com.zayac.changeurl.enums.ErrorEnum.INTERNAL_SERVER_ERROR;

/**
 * @author zayac
 * @since 2023-09-09 17:36
 */
@Slf4j
@ControllerAdvice
public class GlobalExceptionHandler {

    @ExceptionHandler(Exception.class)
    @ResponseBody
    public <T> Result<T> handleAllException(Exception e) {
        log.error(e.getMessage());
        return Result.error(INTERNAL_SERVER_ERROR);
    }

    @ExceptionHandler(BizException.class)
    @ResponseBody
    public <T> Result<T> handleBizException(Exception e) {
        BizException bizException = (BizException) e;
        return Result.error(bizException.getCode(), bizException.getMsg());
    }
}