package com.zayac.changeurl.response;

import com.zayac.changeurl.enums.ErrorEnum;
import lombok.Data;

/**
 * @author zayac
 * @since 2023-09-09 17:59
 */
@Data
public class Result<T> {
    //状态码
    private Integer code;
    //提示信息
    private String msg;
    //数据
    private T data;

    public Result() {

    }

    //自定义返回结果的构造方法
    public Result(Integer code, String msg, T data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public static <T> Result<T> success(T data) {
        return new Result<>(200, "success", data);
    }

    public static <T> Result<T> success(String msg, T data) {
        return new Result<>(200, msg, data);
    }

    public static <T> Result<T> error(ErrorEnum error) {
        return new Result<>(error.getCode(), error.getMsg(), null);
    }

    public static <T> Result<T> error(int code, String msg) {
        return new Result<>(code, msg, null);
    }
}
